Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.biojava.bio.gui.sequence
Interface ImageMapRenderer

All Superinterfaces:
  FeatureRenderer

All Known Implementing Classes:
  BasicImapRenderer, RectangularImapRenderer, ZiggyImapRenderer

    public interface ImageMapRenderer

extends FeatureRenderer

`ImageMapRenderer`s create strings representing `Feature`s suitable for use in HTML image maps. Typically an `ImageMapRenderer` will be used as a decorator on a `FeatureRenderer` which will draw the corresponding image area(s).

Since:
  1.3
Author:
  Keith James

Method Summary
`void` | `renderImageMap(Graphics2D g2, Feature f, SequenceRenderContext context)` `renderImageMap` renders the `Feature` as set of image map hotspots.

Methods inherited from interface org.biojava.bio.gui.sequence.FeatureRenderer
`getDepth, processMouseEvent, renderFeature`

Method Detail

### renderImageMap

    void renderImageMap(Graphics2D g2,
                        Feature f,
                        SequenceRenderContext context)

  `renderImageMap` renders the `Feature` as set of image map hotspots.

  Parameters:
    `g2` - a `Graphics2D`.
    `f` - a `Feature`.
    `context` - a `SequenceRenderContext`.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD